# GAMIT Runs: Create COCO_Example directory and untar COCO_EX_tables.tar (contains tabes and this file). 
# Once untar'd (sh_setup will put correct links into file).
 sh_setup -yr 2012
 sh_gamit -d 2012 20 21 22 120 121 122 220 221 223 320 321 322 -expt coco -yrext -netext a > & ! sh_gamit_2012.log &
 sh_gamit -d 2013 9 10 11 12 13 20 21 22 77 78 79 80 -expt coco -yrext -netext a > & ! sh_gamit_2013.log &
#
# Plots
 if( ! -e plots ) mkdir plots
 cd plots
 sh_plot_elmean -f ../20*/autcln.post.sum -s ALL -R 5/90/-15/15
 gs *.ps
#
# GLOBK Runs
 htoglb glbf '' 2*/hcoco* >&! htoglb_all.log
#
 cd gsoln
# Generate list of data to be processed.
 ls ../glbf/*.glx > coco1213.gdl
#
# Make the velocity soltion: Combine all data with globk and realize
# North America fixed frame.
 globk 6 coco1213_vel.prt coco1213.log coco1213.gdl ../tables/globk.cmd VEL
# Extract velocities and apriori coordinate file
 sh_exglk -f coco1213_vel.org -apr ../tables/coco1213_vel.apr -vel coco1213_vel.vel
#
# Plot velocities;
 set sites = `grep '^ ' coco1213_vel.vel | awk '{if ( NR == 1 ) {printf("%s",substr($13,1,4))} else {printf("|%s",substr($13,1,4))}}'`
 egrep $sites ../tables/pbo1723_nam08.vel >! pbo_coco.vel
# Plot velocities: Black: from Globk Velcoity solution, Green: PBO solutions
 sh_plotvel -f coco1213_vel.vel -f3 pbo_coco.vel -maxsigma 4 -R225/310/0/50 -page L -ps coco1213_vel 
# Comparison of PBO solution with our analysis (run first without coco.link file)
 velrot coco1213_vel.vel noam_i08 pbo_coco.vel noam_i08 '' '' ../tables/coco.link

# Run-time series solution: Based on PBO NAM08 Reference Frame:
 \rm coco1213_rep.org
 glred 6 coco1213_rep.prt coco1213.log coco1213.gdl ../tables/globk.cmd REP
#
 if( -e ts_coco ) mkdir ts_coco
 tssum ts_coco mit.final.nam08 -A coco1213_rep.org
 tsfit ../tables/tsfit.cmd  coco1213_rep.sum ts_coco/????.mit.final.nam08.pos
 sh_tshist -f coco1213_rep.sum -type vel_wrms -prog ensum -max_nscale 5 -max_escale 5 max_uscae 15
# Plot velocities: Black: from timeseries, Red: Velocity solution; Green PBO solution.
 sh_plotvel -f coco1213_rep.vel -f2 coco1213_vel.vel -f3 pbo_coco.vel -maxsigma 4 -R225/310/0/50 -page L -ps coco1213_rep 
# Older approach to time series plots
 if ( ! -e mpb_coco ) mkdir mpb_coco
 cd mpb_coco
 ensum 2 sucoco_rep.ens vacoco_rep.ens ../coco1213_rep.org 
 multibase vacoco_rep.ens -y
 sh_base1c3n -o 1 -year -f *dat?
 gs pbase*

##### RUN WITH LOCAL REFERENCE FRAME ######
 \rm coco1213_loc.org
 glred 6 coco1213_loc.prt coco1213.log coco1213.gdl ../tables/globk.cmd LOC
#
 tssum ts_coco mit.final.local -A coco1213_loc.org
 tsfit ../tables/tsfit.cmd  coco1213_loc.sum ts_coco/????.mit.final.local.pos
 sh_tshist -f coco1213_loc.sum -type vel_wrms -prog ensum -max_nscale 5 -max_escale 5 max_uscae 15
# Plot velocities: Black: from timeseries, Red: Velocity solution; Green PBO solution.
 sh_plotvel -f coco1213_loc.vel -f2 coco1213_rep.vel -f3 coco1213_vel.vel -f4 pbo_coco.vel -maxsigma 4 -R225/310/0/50 -page L -ps coco1213_loc 



